Package ru.bitel.bgbilling.modules.enaza.server.bean

# Class EnazaBalanceManager

java.lang.Object
ru.bitel.bgbilling.modules.enaza.server.bean.EnazaBalanceManager

    public class EnazaBalanceManager
    extends java.lang.Object

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `EnazaBalanceManager​(java.sql.Connection con, int mid)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `EnazaTransaction` | `chargeTransaction2​(EnazaTransaction transaction)` | Проводка транзакции.
  `EnazaTransaction` | `chargeTransaction3​(EnazaTransaction transaction, Contract contract)` | Deprecated.
  `EnazaTransaction` | `chargeTransaction3​(EnazaTransaction transaction, Contract contract)` | Проводка транзакции.
  `EnazaTransaction` | `checkTransaction​(java.lang.Long orderId)` | Проверяет наличие транзакции с таким orderId
  `EnazaTransaction` | `checkTransaction​(EnazaTransaction transaction)` | Проверяет наличие транзакции с тем же order id и возвращает её, если такая есть.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### EnazaBalanceManager

    public EnazaBalanceManager​(java.sql.Connection con, int mid)

- ## Method Details

  - ### checkTransaction

    public EnazaTransaction checkTransaction​(java.lang.Long orderId) throws ru.bitel.bgbilling.common.BGException
    Проверяет наличие транзакции с таким orderId
    Parameters:
      `orderId` -
    Returns:
      транзакцию с указанным orderId или null, если таковой в базе нет
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### checkTransaction

    public EnazaTransaction checkTransaction​(EnazaTransaction transaction) throws ru.bitel.bgbilling.common.BGException
    Проверяет наличие транзакции с тем же order id и возвращает её, если такая есть. Иначе возвращает передаваемую транзакцию.
    Parameters:
      `transaction` -
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### chargeTransaction2

    public EnazaTransaction chargeTransaction2​(EnazaTransaction transaction) throws ru.bitel.bgbilling.common.BGException
    Проводка транзакции. Возвращает транзакцию с установленным временем оплаты и кодом расхода, если достаточно средств.
    Parameters:
      `transaction` -
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### chargeTransaction3

    @Deprecated public EnazaTransaction chargeTransaction3​(EnazaTransaction transaction, Contract contract) throws ru.bitel.bgbilling.common.BGException
    Deprecated.
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### chargeTransaction3

    public EnazaTransaction chargeTransaction3​(EnazaTransaction transaction, Contract contract) throws ru.bitel.bgbilling.common.BGException
    Проводка транзакции. Возвращает транзакцию с установленным временем оплаты и кодом расхода, если достаточно средств.
    Throws:
      `ru.bitel.bgbilling.common.BGException`